Name:		lzip
Version:	1.13
Release:	1
Summary:	Lossless Data Compressor based on the LZMA Algorithm
Source0:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz
Source1:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.nongnu.org/lzip/lzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	make
Requires:	/sbin/install-info, info

%description
Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
integrity checking and a user interface almost identical to the one of
bzip2. Lzip is only a data compressor, not an archiver. It has no facilities
for multiple files, encryption, or archive-splitting, but, in the Unix
tradition, relies instead on separate external utilities such as GNU Tar for
these tasks.

Authors:
--------
    Antonio Diaz Diaz <ant_diaz@teleline.es>


%prep
%setup -q
%patch0


%build
./configure \
    --prefix="%{_prefix}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    CXX="${CXX}" \
    CXXFLAGS="${CXXFLAGS}"
gmake


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp doc/%{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cp doc/%{name}.info ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info
chmod 0644 ${RPM_BUILD_ROOT}%{_infodir}/*
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_infodir}/lzip.info*
%{_mandir}/man1/lzip.1*
/usr/bin/*


%changelog
* Tue Mar 13 2012 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Fri May 13 2011 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 1.10-1
- updated to version 1.10

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Mon Sep 07 2009 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Wed Jul 08 2009 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Fri Apr 24 2009 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Mon Jan 26 2009 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Fri Jan 02 2009 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
